<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <OutputPath>..\..\..\Bin</OutputPath>
    <DocumentationFile>..\..\..\Bin\Siger.Middlelayer.DncRepository.xml</DocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <OutputPath>..\..\..\Bin</OutputPath>
    <DocumentationFile>..\..\..\Bin\Siger.Middlelayer.DncRepository.xml</DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Request\RequestJob.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="2.1.0" />
    <PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="2.1.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Siger.Middlelayer.Repository\Siger.Middlelayer.Repository.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Script\dnc.script">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
